<!DOCTYPE html>
<head>
	<title>ElRepo.io {{ ansible_hostname }} bootstrap node</title>
	<script type="text/javascript">
	var rsJsonApiUrl = ""
	function rsJsonApiRequest(path, data, callback)
	{
		console.log("rsJsonApiRequest(path, data, callback)", path, data, callback)
		var xhr = new XMLHttpRequest();
		xhr.onreadystatechange = function()
		{
			if(xhr.readyState === 4)
			{
				console.log( path, "callback", xhr.status,
							 xhr.responseText.replace(/\s+/g, " ").
								substr(0, 60).replace(/\r?\n|\r/g," ") )
				if(typeof(callback) === "function") callback(xhr.responseText);
			}
		}
		xhr.open('POST', rsJsonApiUrl + path, true);
		xhr.setRequestHeader("Content-Type", "application/json");
		xhr.send(data);
	}
	</script>
</head>
<body>
	<h2>
	You want to try elRepo.io but you don't have enough friends online yet?
	</h2>
	<p>
	This node can help you to connect and find friends within the network.
	</p>

	<div>
	<h3>
	Enter your certificate into the following box and press the submit button.
	</h3>
	<textarea rows="30" cols="64" placeholder="Paste your certificate here"
	id="certificate" maxlength="10000"></textarea>
	<script type="text/javascript">
	function clearCert()
	{
		document.getElementById("certificate").value = ""
	}
	function acceptFriend(p)
	{
		var jRet = JSON.parse(p)
		if(jRet.retval)
		{
			var peerDet = jRet.details
			var jParams = {
				sslId: peerDet.id,
				pgpId: peerDet.gpg_id,
				details: peerDet
				}
			rsJsonApiRequest(
				"/rsPeers/addSslOnlyFriend",
				JSON.stringify(jParams), clearCert )
		}
	}
	function submitCert()
	{
		var jParams = { invite: document.getElementById("certificate").value }
		var sParams = JSON.stringify(jParams)
		// Handle old long certificate format
		rsJsonApiRequest("/rsPeers/acceptInvite", sParams)

		// Handle new short invite format
		rsJsonApiRequest("/rsPeers/parseShortInvite", sParams, acceptFriend)
	}
	</script>
	<button onclick="submitCert()">Submit</button>
	</div>

	<div>
	<h3>
	Copy {{ ansible_hostname }} certificate's from the following box and paste
	it in your node <b>Add friends certificate</b> box.
	</h3>
	<textarea rows="30" cols="64"
		placeholder="Copy {{ ansible_hostname }} certificate from here"
		id="node_certificate" maxlength="10000">
	</textarea>
	<script type="text/javascript">
	function setNodeCertificate(p)
	{
		var jsonData = JSON.parse(p)
		document.getElementById("node_certificate").value = jsonData.retval
	}
	rsJsonApiRequest("/rsPeers/GetRetroshareInvite", "", setNodeCertificate)
	</script>
	</div>
</body>
